CFG80211_READY_ON_CH(9)

NAME
cfg80211_ready_on_channel - notification of remain_on_channel start

SYNOPSIS

void cfg80211_ready_on_channel(struct wireless_dev * wdev, u64 cookie, struct ieee80211_channel * chan, unsigned int duration, gfp_t gfp);

ARGUMENTS

wdev
    wireless device

cookie
    the request cookie

chan
    The current channel (from remain_on_channel request)

duration
    Duration in milliseconds that the driver intents to remain on the channel

gfp
    allocation flags

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT